com.google.zxing.oned

## Class MultiFormatOneDReader

- java.lang.Object
- - com.google.zxing.oned.OneDReader
  - - com.google.zxing.oned.MultiFormatOneDReader

- All Implemented Interfaces:
    Reader

      public final class MultiFormatOneDReader
      extends OneDReader

  Author:
    dswitkin@google.com (Daniel Switkin), Sean Owen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiFormatOneDReader(Map<DecodeHintType,?> hints)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Result` | `decodeRow(int rowNumber, BitArray row, Map<DecodeHintType,?> hints)` Attempts to decode a one-dimensional barcode format given a single row of an image.
    `void` | `reset()` Resets any internal state the implementation has after a decode, to prepare it for reuse.

    - ### Methods inherited from class com.google.zxing.oned.OneDReader

      `decode, decode, patternMatchVariance, recordPattern, recordPatternInReverse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiFormatOneDReader

          public MultiFormatOneDReader(Map<DecodeHintType,?> hints)

  - ### Method Detail

    - #### decodeRow

          public Result decodeRow(int rowNumber,
                                  BitArray row,
                                  Map<DecodeHintType,?> hints)
                           throws NotFoundException

      Description copied from class: `OneDReader`

      Attempts to decode a one-dimensional barcode format given a single row of an image.

      Specified by:
        `decodeRow` in class `OneDReader`
      Parameters:
        `rowNumber` - row number from top of the row
        `row` - the black/white pixel data of the row
        `hints` - decode hints
      Returns:
        `Result` containing encoded string and start/end of barcode
      Throws:
        `NotFoundException` - if no potential barcode is found

    - #### reset

          public void reset()

      Description copied from interface: `Reader`
      Resets any internal state the implementation has after a decode, to prepare it for reuse.
      Specified by:
        `reset` in interface `Reader`
      Overrides:
        `reset` in class `OneDReader`

Copyright © 2007–2018. All rights reserved.